ru.bitel.bgbilling.kernel.base.phone.common.bean

## Class GeographicCode

- java.lang.Object
- - ru.bitel.bgbilling.kernel.base.phone.common.bean.GeographicCode

- All Implemented Interfaces:
    TreeNode<GeographicCode>

      public class GeographicCode
      extends java.lang.Object
      implements TreeNode<GeographicCode>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeographicCode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(GeographicCode child)`
    `GeographicCode` | `findCode(java.lang.String code)`
    `GeographicCode` | `findCode(java.lang.String code, int startLevel, int endLevel)`
    `GeographicCode` | `findCodeMatch(java.lang.String code)`
    `GeographicCode` | `findParent(java.lang.String code)`
    `java.util.List<GeographicCode>` | `getChildren()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getDestination()`
    `int` | `getDestinationId()`
    `int` | `getEndLevel()`
    `int` | `getLevel()`
    `int` | `getStartLevel()`
    `void` | `setChildren(java.util.List<GeographicCode> children)`
    `void` | `setCode(java.lang.String code)`
    `void` | `setDestination(java.lang.String destination)`
    `void` | `setDestinationId(int destinationId)`
    `void` | `setEndLevel(int endLevel)`
    `void` | `setLevel(int level)`
    `void` | `setStartLevel(int startLevel)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeographicCode

          public GeographicCode()

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

    - #### setCode

          public void setCode(java.lang.String code)

    - #### getChildren

          public java.util.List<GeographicCode> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<GeographicCode>`

    - #### setChildren

          public void setChildren(java.util.List<GeographicCode> children)

    - #### getDestinationId

          public int getDestinationId()

    - #### setDestinationId

          public void setDestinationId(int destinationId)

    - #### getDestination

          public java.lang.String getDestination()

    - #### setDestination

          public void setDestination(java.lang.String destination)

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

    - #### getStartLevel

          public int getStartLevel()

    - #### setStartLevel

          public void setStartLevel(int startLevel)

    - #### getEndLevel

          public int getEndLevel()

    - #### setEndLevel

          public void setEndLevel(int endLevel)

    - #### findCodeMatch

          public GeographicCode findCodeMatch(java.lang.String code)

    - #### findParent

          public GeographicCode findParent(java.lang.String code)

    - #### findCode

          public GeographicCode findCode(java.lang.String code)

    - #### findCode

          public GeographicCode findCode(java.lang.String code,
                                         int startLevel,
                                         int endLevel)

    - #### addChild

          public void addChild(GeographicCode child)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`